import type { ExtractPropTypes } from 'vue';
import { IconProps } from '../../icon';
import type ModalOverlay from './modal-overlay.vue';
export declare const modalOverlayProps: {
    readonly open: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly rootClass: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly zIndex: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 1100, boolean>;
    readonly showClose: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly showHeader: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly closeStyle: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {}, boolean>;
    readonly headerStyle: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {}, boolean>;
    readonly closeText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "返回", boolean>;
    readonly closeTextColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#868e9a", boolean>;
    readonly closeTextSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 14, boolean>;
    readonly closeIcon: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IconProps>, unknown, unknown, () => {
        iconName: string;
        color: any;
        size: any;
    }, boolean>;
    readonly closeIconTextSpace: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
    readonly fullLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly mainLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly mainClass: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly isBespreadMain: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly mainStyle: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {}, boolean>;
    readonly showFooter: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly footerStyle: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {}, boolean>;
    readonly mediaClass: StringConstructor;
    readonly isShowFooterShadow: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly footerShadowPlacement: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "inner" | "outer", unknown, "inner", boolean>;
};
export declare const modalOverlayEmits: {
    readonly close: (bool?: boolean) => boolean;
    readonly 'update:open': (bool?: boolean) => boolean;
};
export type ModalOverlayProps = ExtractPropTypes<typeof modalOverlayProps>;
export type ModalOverlayEmits = typeof modalOverlayEmits;
export type ModalOverlayInstance = InstanceType<typeof ModalOverlay>;
